'Program realizuje efekt swietlny, w ktorym diody LED sa kolejno zapalane i gaszone.
'Kierunek zapalania diod mona zmieni przyciskiem S1.
'Wykorzystywany mikrokontroler ATTINY26 (domylnie pracuje z wewntrznym oscylatorem RC o czstotliwoci 1MHz)
'Diody D1...D8 doaczone do portu PA mikrokontrolera
'Przycisk S1 doaczony do linii PB.4 mikrokontrolera
'Mikrokontroler jest taktowany wewntrznym oscylatorem RC o czstoliwoci 1MHz (Bity CKSEL0...3 ustawione na warto 0001)

$regfile = "at26def.dat"                                    'informuje kompilator o pliku dyrektyw wykorzystywanego mikrokontrolera
$crystal = 1000000                                          'informuje kompilator o czestotliwosci oscylatora wewnetrznego taktujacego mikrokontroler


Config Porta = Output                                       'port PA jako wyjsciowy
Config Pinb.4 = Input                                       'Linia PB.4 jako wejsciowa

Dim I As Byte                                               'zmienna licznikowa
Dim Kierunek As Bit                                         'zmienna bitowa kierunku zapalania diod LED

S1 Alias Pinb.4                                             'przypisanie aliasu S1 do linii wejsciowej PB.4

Porta = 0                                                   'wyzerowanie portu PA
Set Portb.4                                                 'zalaczenie do linii PB.4 rezystora podciagajacego
Reset Kierunek                                              'zerowanie zmiennej Kierunek

Do                                                          'nieskonczona petla glowna programu
  For I = 1 To 8                                            'petla For wykonywana 8 razy (I=1...8)
    If Kierunek = 0 Then                                    'jesli Kierunek = 0 to
      Shift Porta , Left , 1                                'przesuniecie wartosci wystawionej na port PA o jedna pozycje w lewo
      Set Porta.0                                            'ustawienie linii PA.0
    Else                                                    'w przeciwnym razie
      Shift Porta , Right , 1                               'przesuniecie wartosci wystawionej na port PA o jedna pozycje w prawo
      Set Porta.7                                           'ustawienie linii PA.7
    End If
    Debounce S1 , 0 , Zm_kier , Sub                         'jesli nacisniety przycisk S1, to skok do podprogramu Zm_kier
    Waitms 100                                              'opoznienie 100 ms
  Next I                                                    'zwiekszenie o 1 wartosci I

  For I = 1 To 8                                            'petla For wykonywana 8 razy (I=1...8)
    If Kierunek = 0 Then                                    'jesli Kierunek = 0 to
      Shift Porta , Right , 1                               'przesuniecie wartosci wystawionej na port PA o jedna pozycje w trawo
      Reset Porta.7                                         'zerowanie linii PA.7
    Else                                                    'w przeciwnym razie
      Shift Porta , Left , 1                                'przesuniecie wartosci wystawionej na port PA o jedna pozycje w lewo
      Reset Porta.0                                         'zerowanie linii PA.0
    End If
    Debounce S1 , 0 , Zm_kier , Sub                        'jesli nacisniety przycisk S1, to skok do podprogramu Zm_kier
    Waitms 100                                              'opoznienie 100 ms
  Next I                                                    'zwiekszenie o 1 wartosci I
Loop
End                                                         'koniec programu

Zm_kier:                                                    'podprogram Obslugi Przycisku S1
  Toggle Kierunek                                           'zmiana wartosci zmiennej bitowej Kierunek na przeciwny
  Porta = 0                                                 'zerowanie portu PA
Return                                                      'powrot z podprogramu


