'Program dokonuje pomiaru napiecia na wejsciu PA.0 (ADC0) mikrokontrolera
'za pomoca wbudowanego 10-bitowego przetwornika A/C
'Napiecie odniesienia dla A/C zostalo ustalone na wartosc napiecia zasilajacego, czyli na ok. 5V.
'Przy napieciu odniesienia 5V, dokladnosc przetwornika wynosi ok. 5/1024 = 4,88 mV)
'Na wyswietlaczu LCD wyswietlana jest wartosc odczytana z A/C oraz wartosc przeliczona na napiecie.
'Wykorzystywany mikrokontroler ATTINY26 (domylnie pracuje z wewntrznym oscylatorem RC o czstotliwoci 1MHz)
'Mikrokontroler jest taktowany wewntrznym oscylatorem RC o czstoliwoci 1MHz (Bity CKSEL0...3 ustawione na warto 0001)
'Do wejscia PA.0 (ADC0) zosta doczony potencjometr R1, ktrym mona dokonywa zmian napicia na wejciu A/C.

$regfile = "at26def.dat"                                    'informuje kompilator o pliku dyrektyw wykorzystywanego mikrokontrolera
$crystal = 1000000                                          'informuje kompilator o czestotliwosci oscylatora wewnetrznego taktujacego mikrokontroler


Config Lcd = 16 * 2                                         'konfiguracja typu wyswietlacza LCD
Config Lcdpin = Pin , Db4 = Portb.0 , Db5 = Portb.1 , Db6 = Portb.2 , Db7 = Portb.3 , E = Portb.5 , Rs = Portb.4       'konfiguracja linii mikrokontrolera, do ktorych dolaczono wyswietlacz LCD
Config Adc = Single , Prescaler = 128 , Reference = Off     'konfiguracja wewnetrznego przetwornika A/C

Dim W_a_c As Word                                           'zmienna na wartos odczytana z przetwornika A/C
Dim V As Single                                             'zmienna przechowujaca obliczona wartos zmierzonego napiecia
Dim Wart_v As String * 3                                    'zmienna do ktorej wpisywana zostaje przetworzona wartosc napiecia zamienionego na tekst

Start Adc                                                   'uruchomienie wbudowanego przetwornika A/C

Cls                                                         'czyszczenie LCD
Cursor Off                                                  'wylaczenie kursora

Do                                                          'nieskonczona petla glowna programu
  W_a_c = Getadc(0)                                         'odczytanie wartosci zmierzonej przez A/C z wejscia PC.0 (ADC0) mikrokontrolera
  V = W_a_c * 0.00488                                       'przeliczenie odczytanej wartosci z A/C na napiecie zapisane w zmiennej V (W_a_c * ok. 4,88mV)
  Wart_v = Fusing(v , "#.&&")                               'formatowanie wartosci zmiennej V do formatu x.xx i zamiana jej na postac tekstowa
  Cls                                                       'czyszczenie LCD
  Lcd "A/C: " : Lcd W_a_c                                   'wyswietlenie w pierwszej linii Lcd odczytanej wartosci z przetwornika A/C
  Lowerline                                                 'przeniesienie kursora do drugiej linii LCD
  Lcd "V:   " : Lcd Wart_v                                  'wyswietlenie w drugiej linii LCD obliczonej wartosci napiecia z potencjometru
  Waitms 200                                                'opoznienie 200ms
Loop                                                        'koniec petli Do...Loop
End                                                         'koniec programu