'Program zmienia stan diody LED dolaczonej do linii PA.0 mikrokontrolery na przeciwny dokladnie co 1 sekunde.
'Wykorzystywany mikrokontroler ATTINY26 (domylnie pracuje z wewntrznym oscylatorem RC o czstotliwoci 1MHz)
'Mikrokontroler jest taktowany zewnetrznym oscylatorem kwarcowym o czstoliwoci 32768Hz (Bity CKSEL0...3 ustawione na warto 1001)
'Zmiana stanu diody LED odbywa sie w przerwaniach od Timer1 wywolywanych dokladnie co 1 sekunde (32768 Hz/128/256 = 1),
'czyli dioda LED miga z czestotliwoscia 0,5 Hz.
'Licznik Timer1 posiada pojemnoc 8 bitw i pracuje z podzialem preskalera przez 128

$regfile = "at26def.dat"                                    'informuje kompilator o pliku dyrektyw wykorzystywanego mikrokontrolera
$crystal = 32768                                            'informuje kompilator o czestotliwosci oscylatora wewnetrznego taktujacego mikrokontroler

Config Pina.0 = Output                                      'linia PA.0 jako wyjsciowa
Config Timer1 = Timer , Prescale = 128                      'kontiguracja Timer1 jako timer z preskalerem dzielacym przez 128

On Timer1 Odm_1s                                            'etykieta skoku do podprogramu przerwania od przepelnienia Timer1

Led0 Alias Porta.0                                          'przypisanie do linii PA.0 aliasu Led0

Enable Interrupts                                           'odblokowanie przerwan globalnych
Enable Timer1                                               'odblokowanie przerwania od przepelnienia Timer1

Do                                                          'nieskonczona petla Do...Loop
Loop
End                                                         'koniec programu

Odm_1s:                                                     'podprogram obslugi przerwania od Timer1 (wywolywany co 1 sekunde)
  Toggle Led0                                               'zmien na przeciwny stan linii PA.0 oznaczony aliasem Led0
Return                                                      'powrot z podprogramu przerwania
